Subject: Linking Libraries
From: [email-masked] (Fabio Somenzi)

10 Jan 1997 17:32:34 -0800
Sender: [email-masked]
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
References: <[email-masked]>
Reply-To: [email-masked]
Original-To: [email-masked]
Original-Cc: [email-masked]
In-Reply-To: <[email-masked]>
Original-Sender: [email-masked]

>>>>> "JMCV" == José Miguel Cañete Valdeón <[email-masked]> writes:

 JMCV> Hello Everybody.  I'm trying to link an import library
 JMCV> (libcrtdll.a) for a dll (crtdll.dll) to an object file
 JMCV> obj.o. The problem is that I try with: ld obj.o -lcrtdll and
 JMCV> the linker returns an error: Cannot open -lcrtdll: not such
 JMCV> file or directory.  I have already set the variables PATH and
 JMCV> GCC_EXEC_PREFIX to their correct values.  Does anyone knows
 JMCV> what am I doing wrong?

Have you tried the -L option? (I.e., -L /path/to/my/lib -lcrtdll.)

Hope this helps

Fabio

-- 
Fabio Somenzi          | Phone: 303-492-3466
University of Colorado | Fax:   303-492-2758
ECE Dept.              | Email: [email-masked]
Boulder CO 80309-0425  | WWW:   http://vlsi.colorado.edu/~fabio
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".